package org.springblade.modules.sqjw.pcsInfo.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseService;
import org.springblade.modules.sqjw.pcsInfo.entity.PcsInfoEntity;
import org.springblade.modules.sqjw.pcsInfo.excel.PcsInfoExcel;
import org.springblade.modules.sqjw.pcsInfo.vo.DzxxVO;
import org.springblade.modules.sqjw.pcsInfo.vo.PcsInfoVO;
import org.springblade.modules.system.entity.Dept;
import org.springblade.modules.system.entity.User;
import org.springblade.modules.system.vo.ZdVO;

import java.util.List;
import java.util.Map;

/**
 * 派出所信息表 服务类
 *
 * @author BladeX
 * @since 2024-01-08
 */
public interface IPcsInfoService extends BaseService<PcsInfoEntity> {
	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param params
	 * @return
	 */
	IPage<PcsInfoVO> selectPcsInfoPage(IPage<PcsInfoVO> page, Map<String, Object> params);

	List<PcsInfoExcel> exportPcsInfo(Map<String, Object> params);

	PcsInfoVO getDetail(Long deptId);

	List<ZdVO> getDictList(String code);

	List<User> getFzr(Map<String, Object> params);

	List<Dept> getFjSj(Map<String, Object> params);

	List<PcsInfoVO> getAllPcs(Map<String, Object> params);

	List<PcsInfoVO> getSqByPcsid(Map<String, Object> params);

	List<PcsInfoVO> getJgBySqId(Map<String, Object> params);

	IPage<DzxxVO> getDzxx(IPage<DzxxVO> page, Map<String, Object> params);

	List<Dept> getChildDept(Map<String, Object> params);
}
